<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_gui.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Gui Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_gui.html">Gui</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#ab7f4632d5033a2250398bed08a4af158">getCurrentUserAdminStatus</a>(bool isCurrentUserAnAdmin)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#ae18107b33f585c3025c25f16bc2d5d67">getSignInProcessIsComplete</a>()</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#ab2655dbb6d3a91d7e90cb83dad6c0450">Gui</a>()</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#af4038252aa6f60569f70f5264f93be1d">open</a>()</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a9e8074406a8c3fddf74b87b1935aa7e5">sendAddBookToLibraryRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a45b83b7b92ce6253834d28c67ea61614">sendAddBookToLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a55c7f71e765c57c27b2cab34aafba99a">sendAddBookToWishlistRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#ae1c8a08d2c0b78461904928f798f4761">sendAddBookToWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a8d4e78464921dfcfa58e836fd8c1834f">sendAddUserToLibraryRequest</a>(User user, bool makeAdmin)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#adf6eb142cba7a3946d64ef3f1b790dcb">sendAddUserToLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a343ff061fde597753a3296ea5ae31a3b">sendCurrentUserRequest</a>()</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#acf39ba69c97ed11586b9e8a4e8a44d50">sendDetailsAboutBookRequest</a>(QString isbn)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a8af4fb92ae4ee963a09d8f6fe56dbd26">sendDetailsAboutBookRequestResult</a>(Book book, bool isReservedByUser, bool isInUserWishlist)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a7f41675c03732fb9e4677b8515f5ce91">sendEditBookInLibraryRequest</a>(QString oldBookIsbn, Book newBook)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a520e0265a777cb1b93365e916238fdb1">sendEditBookInLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a6f5de7d88e997a696d9a8e5e015b63b6">sendEditUserInLibraryRequest</a>(QString oldId, User newUser, bool isAdmin, QString newPassword)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a52270affea5506ff56e96b0c320d012b">sendEditUserInLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a96e318612a7551ba9222b712b78ac947">sendEditUserRequest</a>(User user, bool isAdmin, QString password)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a037e179bbf2eb022c07e73c095731207">sendEditUserRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a6bdbe03a8e1f862b09037dc24ebf506c">sendExportWishlistFromFileRequest</a>(QString pathToFileToExport)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#ac2d9d316dba42155c9f0941b8dc560fd">sendExportWishlistFromFileRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a734889d391e6e11bf4d271a196ba572c">sendImportWishlistFromFileRequest</a>(QString pathToFileToImport)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#ae0909537ad53c6ff655c6435df0ed194">sendImportWishlistFromFileRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#ab140d1a5aae021f01032a516bb2e94fc">sendLoansRequest</a>()</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#afac627acf83e5b63b1d7f7e6b5cf1984">sendLoansRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a7d3685695e85cc9d654375f19c9d39cc">sendRemoveBookFromLibraryRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a8b8847511823ec0ba3feccf3e6ec9c83">sendRemoveBookFromLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a741d7be4ff8d9532683209853fb46e37">sendRemoveBookFromWishlistRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#ae117363124625be4898f727f29f56c49">sendRemoveBookFromWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#abb962389eb67b4567a1bc55b2abf76c6">sendRemoveUserFromLibraryRequest</a>(User user)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a4ddd94a29c0c4e107771498d72c2c8bf">sendRemoveUserFromLibraryRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a2ffa089e57ee1571da42db95c3ba3de6">sendReserveBookRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a4891fd5c9698fa3f350ce69b9e66ce74">sendReserveBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#ac6f69a62bc303884e36d0be38a5f85b9">sendReturnBookRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a7c8260e2cdc4aea0a44ffe045a7ef311">sendReturnBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#ab8de6758ae82e6f6f8aae66d4811c857">sendSearchBookRequest</a>(QString id, QString title)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#ab254231f189c6a872dc24250dbbd6c65">sendSearchBookRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a87bc09aef68724043c9b4f24b01db632">sendSearchUserRequest</a>(QString id, QString name)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a4cd93c2bae41bb09285433b4e2164c59">sendSearchUserRequestResult</a>(std::vector&lt; User &gt; users)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a5fb313e391a25bc4e9798ee9b56d1718">sendSignInRequest</a>(QString username, QString password)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#ace1c44fdff26b57dc365e51bf0bbe011">sendSignInRequestResult</a>(bool signInOk)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a59d88601c127c3d1de862f8f34c95528">sendSignUpRequest</a>(User user, QString password)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#adc811573f8605cce30f325d2e9d11db2">sendSignUpRequestResult</a>(bool signUpOk)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a72dfa49e20658233f69bd6c52dedab9d">sendUserRequest</a>(QString username)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#a747c9f8a97ca1511fdbd3633e01926f4">sendUserRequestResult</a>(User user, bool isAdmin)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a8eafc6845da61bfddf908299bf310d49">sendWishlistRequest</a>()</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_gui.html#aff84f8df0d0c42b9bc1e024e71a1ee6f">sendWishlistRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_gui.html#a4fd8485d226f9b8a2ac2d81d7f0f3598">~Gui</a>()</td><td class="entry"><a class="el" href="class_gui.html">Gui</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
